2011-07-30 Florian Franzmann <siflfran@hawo.stw.uni-erlangen.de>
	* DEPENDS: changed dependency on g++ to dependency on gcc with
	  sub-depends on CXX (scripted)

2011-06-13 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated spell to 2.7.2

2011-06-10 Arjan Bouter <abouter@sourcemage.org>
	* TRIGGERS: added check_self on glibc cast

2010-11-28 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated spell to 2.7.1

2010-07-06 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated spell to 2.7
	* CONFIGURE: use sentence case; added signal module selection
	* DEPENDS: added new missing deps
	* BUILD: cleaned up; removed useless defines
	* python.gpg: added key A4135B38 (Benjamin Peterson <benjamin@python.org>)
	* PRE_BUILD, Python-2.6.2_tcl-tk-8.6.patch: removed, not needed anymore

2010-04-03 Treeve Jelbert <treeve@sourcemage.org>
	* DEPENDS: add optional libffi

2010-03-30 Ladislav Hagara <hgr@vabo.cz>
	* DEPENDS: added optional_depends openssl
	* DETAILS: PATCHLEVEL=1

2010-03-22 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated spell to 2.6.5

2009-10-26 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated spell to 2.6.4

2009-10-20 Donald Johnson <ltdonny@gmail.com>
	* {PRE_,}SUB_DEPENDS: added sub from avahi
	* REPAIR^all^PRE_SUB_DEPENDS: created

2009-10-02 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated spell to 2.6.3
	* python.gpg: imported key A74B06BF ("Barry Warsaw <barry@warsaw.us>")

2009-09-01 Quentin Rameau <quinq@sourcemage.org>
	* PRE_BUILD, Python-2.6.2_tcl-tk-8.6.patch: added,
	  make tk/tcl 8.6 detected by setup

2009-08-29 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Disable staging with castfs (Bug #15375)

2009-06-27 Treeve Jelbert <treeve@sourcemage.org>
	* DEPENDS: add optional gdbm

2009-04-15 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated spell to 2.6.2

2009-02-23 Vlad Glagolev <stealth@sourcemage.org>
	* BUILD, INSTALL: fixed installation for multi-ROOT; quoting paths

2008-12-05 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated spell to 2.6.1

2008-10-26 Vlad Glagolev <stealth@sourcemage.org>
	* CONFIGURE: use list_find()

2008-10-03 Jaka Kranjc <lynxlynxlynx@sourcemage.org>
	* UP_TRIGGERS: only trigger direct dependees

2008-10-03 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: switched to gpg upstream key
	* python.gpg: added

2008-10-02 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated spell to 2.6; fixed descs
	* DEPENDS: added missing deps; fixed g++ dep flags
	* CONFIGURE: use PYTHON_OPTS; changed default values as noted in README
	* INSTALL: quoting paths
	* BUILD, UP_TRIGGERS: cleaned up
	* [PRE_]SUB_DEPENDS: cleaned up the code; corrected descriptions and
	  messages

2008-02-23 George Sherwood <george@beernabeer.com>
	* DETAILS: Updated to version 2.5.2

2008-02-22 Jaka Kranjc <lynxlynxlynx@sourcemage.org>
	* INSTALL: changed mv to cp, so python casts with staging

2008-01-18 Vlad Glagolev <stealth@sourcemage.org>
	* BUILD, CONFIGURE: ipv6 and threads => configurable

2008-01-17 Vlad Glagolev <stealth@sourcemage.org>
	* BUILD: added some options: ipv6 and threading support
	* INSTALL: copy the stuff from fake dir, removed dirty hacks
	* FINAL: removed, removed dirty hacks

2008-01-07 Vlad Glagolev <stealth@sourcemage.org>
	* FINAL: mv => cp, better verbose + some info
	* BUILD: cleaned up

2008-01-06 Vlad Glagolev <stealth@sourcemage.org>
	* FINAL: check for the src dir before, not the dest one

2008-01-05 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: PATCHLEVEL++
	* SUB_DEPENDS PRE_SUB_DEPENDS: add entries for db & sqlite
	
2008-01-05 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: PATCHLEVEL++
	* INSTALL: temp-move site-packages before installing python
	* FINAL: push back site-packages if it's the same version of python
	* TRIGGERS, UP_TRIGGERS: cleaned up

2007-12-26 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: fixed the huge bug in spell, now python's recasting won't
	  include all files from the pythonic modules/apps in site-packages:
	  we MUST dispell every python-based spell on recasting python, and
	  every python-based module/app MUST be recompiled -- only by its setup
	* INSTALL: added gettext tools

2007-06-03 Treeve Jelbert <treeve@sourcemage.org>
	* DEPENDS: fix minor typo, bug #13798

2007-04-23 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 2.5
	* PRE_BUILD, python-2.5.0-db45.patch, setup.patch: deleted

2006-11-12 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: PATCHLEVEL++
	* PRE_BUILD, python-2.5.0-db45.patch, setup.patch: added
	  fix build of db interface for db-4.5.20
	  see python bug #1571754
	* BUILD: remove sedit for ndbm
	* DEPENDS: db is optional
	  add sqlite

2006-11-08 Flavien Bridault <vlaaad@sourcemage.org>
	* UP_TRIGGERS: added, recompiles dependent spells on minor upgrades
	* INSTALL: Fix destination path
	* BUILD: Enabled unicode explicitly

2006-10-28 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 2.5

2006-10-20 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 2.4.4
	  SECURITY_PATCH++  CAN-2006-4980
	  <http://www.python.org/news/security/PSF-2006-001/>

2006-10-07 Juuso Alasuutari <iuso@sourcemage.org>
	* TRIGGERS: Added check_self for dispel pygtk2 & pygobject.

2006-09-19 Juuso Alasuutari <iuso@sourcemage.org>
	* TRIGGERS: Added, check self on gettext cast.
	* DETAILS: Removed BUILD_API=2.

2006-08-15 Juuso Alasuutari <iuso@sourcemage.org>
	* DETAILS: [automated] Removed UPDATED (deprecated in favor of 
	  PATCHLEVEL).

2006-05-07 Robin Cook <rcook@wyrms.net>
	* PRE_SUB_DEPENDS: added for sub on expat
	* SUB_DEPENDS: added for sub on expat

2006-03-30 Sergey Lipnevich <sergey@sourcemage.org>
	* DETAILS: upgrade to 2.4.3;
	* PRE_BUILD,db-4.4.patch: remove.

2006-03-12 Karsten Behrmann <BearPerson@sourcemage.org>
	* DETAILS: (automated) Add KEYWORDS

2006-01-30 Juuso Alasuutari <juuso.alasuutari@tamperelainen.org>
	* DETAILS: updated PATCHLEVEL
	* volatiles: added file, now other spells that touch the same 
	  .pyc files as python should no longer disturb cleanse

2005-12-11 Arwed v. Merkatz <v.merkatz@gmx.net>
	* PRE_BUILD, db-4.4.patch: patch to make it work with db 4.4.x
	* DETAILS: set PATCHLEVEL=1

2005-10-03 Sergey Lipnevich <sergey@sourcemage.org>
	* DETAILS: use HTTP instead of FTP and tar.bz2 instead of tgz.

2005-09-30 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 2.4.2

2005-07-04 Seth Woolley <seth@tautology.org>
	* DEPENDS: make c++ optional

2005-05-18 David Brown <dmlb2000@excite.com>
	* BUILD: tested for /usr/lib/python$VERSION but tried to move
	  /usr/lib/$VERSION... logic error

2005-05-03 Eric Sandall <sandalle@sourcemage.org>
	* BUILD,INSTALL: Use VERSION to determine filename
	  Use SOURCE_DIRECTORY to store tmpfile so that people cannot insert
	  their own pydcop.py
	  Bug #8641

2005-04-24 George Sherwood <george@beernabeer.com>
	* BUILD: Changed to /usr/lib/python2.4 vice 2.3

2005-04-07 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Updated to 2.4.1
	* PRE_BUILD, Python-2.4c1-db43.patch: Removed

2005-03-03 Arwed v. Merkatz <v.merkatz@gmx.net>
	* PRE_BUILD, Python-2.4c1-db43.patch: added patch to make it work
	  with db 4.3.x (bug #7618)

2005-02-28 Eric Sandall <sandalle@sourcemage.org>
	* CONFLICTS: Removed conflicting spell

2004-12-15 Eric Sandall <sandalle@sourcemage.org>
	* Renamed to python
	* DETAILS: Renamed to python
	  Updated UPDATED
	  Shortened SHORT
	* CONFLICTS: Auto-conflicts with Python
	* DEPENDS: Formatted to Guru Handbook

2004-11-30 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Updated to 2.4
	  Shortened SHORT
	  Added BUILD_API=2
	* BUILD: Converted to build_api 2
	* INSTALL: Added

2004-07-07 Arwed v. Merkatz <v.merkatz@gmx.net>
	* DEPENDS: removed dependency on libstdc++

2004-06-19 Sergey Lipnevich <sergey@sourcemage.org>
	* DEPENDS: needs libstdc++.

2004-05-27 Robin Cook <rcook@wyrms.net>
	* DETAILS: updated VERSION to 2.3.4
	  updated MD5

2004-03-30 Arwed v. Merkatz <v.merkatz@gmx.net>
	* BUILD: build with --enable-shared
	  export OPT so optimizations actually get used
	* DETAILS: updated UPDATED

2004-02-10 Eric Sandall <sandalle@sourcemage.org>
	* BUILD: kdebindings 3.2.0 installs syntactically
	  invalid /usr/lib/python2.3/pydcop.py, which then causes
	  Python to fail to build. So we just move it out of the
	  way during a Python build and put it back, if it exists.

2004-01-29 Arwed v. Merkatz <v.merkatz@gmx.net>
	* BUILD: added OPT="$CFLAGS", fixes bug #5545

2003-12-30 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Updated to 2.3.3
	* HISTORY: Formatted to Guru Handbook

2003-10-06 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Updated to 2.3.2

2003-09-26 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Updated to 2.3.1

2003-09-04 hgg <hgreig@bigpond.net.au>
	* BUILD: Bug#4196 needs to sedit setup.py

2003-08-01 Sergey Lipnevich <sergey@sourcemage.org>
	* DETAILS: Upgrade to 2.3.
	* Remove a temporary fix.
	* IDLE has been integrated back into the package.
	* BUILD: Removed; no longer needed.
	* More spells need triggers to cast after Python upgrade
	  when the version changes, because files in old
	  /usr/lib/pythonX.Y/site-packages/ become useless.

2003-07-25 hgg <hgreig@bigpond.net.au>
	* BUILD: Add IDLE IDE to default Build

2002-12-11 Sergey Lipnevich <sergey@sourcemage.org>
	* BUILD: change to use default_build and take advantage
	  of all optimizations.

2002-10-28 Julian v. Bock <julian@wongr.net>
	* DETAILS: set VERSION to 2.2.2.
	* BUILD: don't apply zw-fix patch.
	* zw-fix: remove.

2002-10-03 Julian v. Bock <julian@wongr.net>
	* DETAILS: add LICENSE and MD5 fields.

2002-09-11 Julian v. Bock <julian@wongr.net>
	* zw-fix: add.
	* BUILD: apply patch (tmp file security fix).

2002-06-11 Julian v. Bock <julian@wongr.net>
	* CONFIGURE: remove.
	* Python-tk.patch: remove.
	* DEPENDS: make tk a simple optional dependency; remove CONFIGURE
	  related code.
	* BUILD: don't apply tk patch; remove CONFIGURE related code.

2002-05-14 Julian v. Bock <julian@wongr.net>
	* BUILD: add libpython2.2.1.a symlink as temporary fix for
	  some other configure files.

2002-05-07 Julian v. Bock <julian@wongr.net>
	* DEPENDS: change tcl-tk dependency to tk.

2002-04-18 Julian v. Bock <julian@wongr.net>
	* DETAILS: set VERSION to 2.2.1.

2002-03-23 Julian v. Bock <julian@wongr.net>
	* DETAILS: downgrade version to 2.2 since there are problems with
	  various other software packages.

2002-03-19 Julian v. Bock <julian@wongr.net>
	* DETAILS: update version to 2.2.1c1.

